الانتقال إلى المحتوى الرئيسي
GET
JavaScript

التفويضات

Authorization
string
header
مطلوب

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

معلمات المسار

id
string
مطلوب

Checkout Session ID

الاستجابة

Checkout session successfully fetched

created_at
string<date-time>
مطلوب

Created at timestamp

id
string
مطلوب

Id of the checkout session

customer_email
string | null

Customer email: prefers payment's customer, falls back to session

customer_name
string | null

Customer name: prefers payment's customer, falls back to session

payment_id
string | null

Id of the payment created by the checkout sessions.

Null if checkout sessions is still at the details collection stage.

payment_status
null | enum<string>

status of the payment.

Null if checkout sessions is still at the details collection stage.

الخيارات المتاحة:
succeeded,
failed,
cancelled,
processing,
requires_customer_action,
requires_merchant_action,
requires_payment_method,
requires_confirmation,
requires_capture,
partially_captured,
partially_captured_and_capturable
آخر تعديل في ١٧ أغسطس ٢٠٢٦